aboutsummaryrefslogtreecommitdiff
path: root/system/microcode_ctl/rc.microcode_ctl
diff options
context:
space:
mode:
authorAndrzej Telszewski <atelszewski@gmail.com>2014-07-22 05:58:22 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2014-07-22 06:13:20 +0700
commitcfc82f0a12d557e82b7a4aa66fc210b89b00dc85 (patch)
treee0f68240cb54a75b25054ee1e90f23497e76d4c9 /system/microcode_ctl/rc.microcode_ctl
parent256a0c56a072cb1f1632e49adff009e372a82bf6 (diff)
downloadslackbuilds-cfc82f0a12d557e82b7a4aa66fc210b89b00dc85.tar.xz
system/microcode_ctl: Updated for version 1.26.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/microcode_ctl/rc.microcode_ctl')
-rw-r--r--system/microcode_ctl/rc.microcode_ctl41
1 files changed, 41 insertions, 0 deletions
diff --git a/system/microcode_ctl/rc.microcode_ctl b/system/microcode_ctl/rc.microcode_ctl
new file mode 100644
index 000000000000..b62e7c6a5efa
--- /dev/null
+++ b/system/microcode_ctl/rc.microcode_ctl
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+# Start script for microcode_ctl
+
+# Copyright 2014 Andrzej Telszewski, Sabadell
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+microcode_ctl_start() {
+ echo "Uploading microcode: /usr/sbin/microcode_ctl -uq"
+
+ if [ ! -c /dev/cpu/microcode ]; then
+ /sbin/modprobe microcode || return $?
+ fi
+
+ /usr/sbin/microcode_ctl -uq || return $?
+}
+
+case "$1" in
+'start')
+ microcode_ctl_start
+ ;;
+*)
+ echo "usage: $0 start"
+esac